Announcement

Collapse
No announcement yet.

ATI R600/700 OSS 3D Driver Reaches Gears Milestone

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • I really tried to get the R6xx/r7xx 3D stuff working on Ubuntu 9.04, I compiled all the drivers, mesa and glx, because this did not work somehow, I am now using the PPA Xorg Edgers drivers and kernel 2.6.30. But somehow when I try to activate the composite effects, Xorg restarts.

    Comment


    • The 2.6.30 kernel won't have the drm code you need. Unless there's an edgers build for drm (I don't think so) you'll need to build and install libdrm & kernel modules from ~agd5f/drm r6xx-r7xx-3d branch.

      Comment


      • Originally posted by bridgman View Post
        The 2.6.30 kernel won't have the drm code you need. Unless there's an edgers build for drm (I don't think so) you'll need to build and install libdrm & kernel modules from ~agd5f/drm r6xx-r7xx-3d branch.
        https://launchpad.net/~xorg-edgers/+archive/radeon

        There is, and I got it working this way.

        In fact, I have been playing some Quake Live matches with the opensource r6xx driver and it ran excellent. How awesome is that?

        Comment


        • Originally posted by bridgman View Post
          The 2.6.30 kernel won't have the drm code you need. Unless there's an edgers build for drm (I don't think so) you'll need to build and install libdrm & kernel modules from ~agd5f/drm r6xx-r7xx-3d branch.
          There is Though I haven't got any feedback on it (and can not test it myself): https://launchpad.net/~xorg-edgers/+archive/radeon

          I believe the libdrm from xorg-edgers PPA should work.

          Also, for Jaunty, I recommend using the latest Karmic kernel instead of the 2.6.30 in the PPA.

          EDIT: (mid-air collision) thanks for the feedback, d2xx

          Comment


          • So I either have to build the 3D branch or use the karmic 31 kernel?

            Comment


            • OK, sounds like there is an edgers ppa for the drm (cool !). My mistake.

              Comment


              • Originally posted by Domi09 View Post
                So I either have to build the 3D branch or use the karmic 31 kernel?
                Even if you use the .31 kernel you will have to get the drm kernel modules from the Radeon PPA (or build them yourselves).

                Comment


                • I did obtain the drm modules from the radeon PPA, and all the other things I need, too but the error still occurs. I cannot activate the composite effects. Always when I try to activate them, the X Server dies and restarts ...
                  Moreover I have a serious dbus problem, "connection refused" maybe the graphics error is due to that.

                  Comment


                  • Originally posted by Domi09 View Post
                    I cannot activate the composite effects. Always when I try to activate them, the X Server dies and restarts ...
                    If you had fglrx/Catalyst installed, did you purge it and reinstall the mesa libgl(x) files ? See: http://ubuntuforums.org/showthread.php?t=1257453

                    Comment


                    • I have the same problem , Xorg restarts each time i launch a 3d application.
                      Which graphic card do you have ?
                      Mine is a saphire radeon 4670.

                      Bibi

                      Comment

                      Working...
                      X